warnings {base} | R Documentation

## Print Warning Messages

### Description

`warnings` and its `print` method print the variable `last.warning` in a pleasing form.

### Usage

    warnings(...)

### Arguments

`...` | arguments to be passed to `cat`.

### Details

See the decription of `options("warn")` for the circumstances under which there is a `last.warning` object and `warnings()` is used. In essence this is if `options(warn = 0)` and `warning` has been called at least once.

It is possible that `last.warning` refers to the last recorded warning and not to the last warning, for example if `options(warn)` has been changed or if a catastrophic error occurred.

### Warning

It is undocumented where `last.warning` is stored nor that it is visible, and this is subject to change. Prior to R 2.4.0 it was stored in the workspace, but no longer.

### References

Becker, R. A., Chambers, J. M. and Wilks, A. R. (1988) The New S Language. Wadsworth & Brooks/Cole.

### See Also

`warning`.

### Examples

    ## NB this example is intended to be pasted in,
    ##    rather than run by example()
    ow <- options("warn")
    for(w in -1:1) {
       options(warn = w); cat("\n warn =",w,"\n")
       for(i in 1:3) { cat(i,"..\n"); m <- matrix(1:7, 3,4) }
    }
    warnings()
    options(ow) # reset

[Package base version 2.6.2 Index]